ViennaCL - The Vienna Computing Library: viennacl::device_specific::mapped_scalar_reduction Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::device_specific::mapped_scalar_reduction Class Reference

Scalar reduction. More...

`#include <mapped_objects.hpp>`

Inheritance diagram for viennacl::device_specific::mapped_scalar_reduction:

## Public Member Functions
| mapped_scalar_reduction (std::string const &scalartype, unsigned int id, node_info info)
Public Member Functions inherited from viennacl::device_specific::mapped_reduction
| mapped_reduction (std::string const &scalartype, unsigned int id, node_info info, std::string const &type_key)
vcl_size_t | root_idx () const
scheduler::statement const & | statement () const
scheduler::statement_node | root_node () const
bool | is_index_reduction () const
scheduler::op_element | root_op () const
Public Member Functions inherited from viennacl::device_specific::mapped_object
| mapped_object (std::string const &scalartype, unsigned int id, std::string const &type_key)
virtual | ~mapped_object ()
virtual std::string & | append_kernel_arguments (std::set< std::string > &, std::string &str, unsigned int) const
std::string | type_key () const
std::string const & | name () const
std::string | process (std::string const &in) const
std::string | evaluate (std::map< std::string, std::string > const &accessors) const
Public Member Functions inherited from viennacl::device_specific::binary_leaf
| binary_leaf (mapped_object::node_info info)
void | process_recursive (utils::kernel_generation_stream &stream, leaf_t leaf, std::string const &key, std::string const &process_str, std::set< std::string > &already_fetched)
std::string | evaluate_recursive (leaf_t leaf, std::map< std::string, std::string > const &accessors)

## Additional Inherited Members
Protected Member Functions inherited from viennacl::device_specific::mapped_object
void | register_attribute (std::string &attribute, std::string const &key, std::string const &value)
Static Protected Member Functions inherited from viennacl::device_specific::mapped_object
static void | replace_offset (std::string &str, MorphBase const &morph)
Protected Attributes inherited from viennacl::device_specific::mapped_object
std::string | name_
std::string | scalartype_
std::string | type_key_
std::map< std::string, std::string > | keywords_
Protected Attributes inherited from viennacl::device_specific::binary_leaf
mapped_object::node_info | info_

## Detailed Description

Scalar reduction.

Maps a scalar reduction (max, min, argmax, inner_prod, etc..)

Definition at line 198 of file mapped_objects.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::mapped_scalar_reduction::mapped_scalar_reduction | ( | std::string const & | scalartype,
|  | unsigned int | id,
|  | node_info | info
| ) |  |
| inline

Definition at line 201 of file mapped_objects.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/mapped_objects.hpp